package com.ruoyi.web.v3.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbDeviceMaintenanceDictionaryEntity;
import com.ruoyi.web.v3.model.request.HbDeviceMaintenanceDictionaryPageReq;
import com.ruoyi.web.v3.service.IHbDeviceMaintenanceDictionaryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0 设备维护条目字典 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb_device_maintenance_dictionary")
@Api("3.0 设备维护条目字典管理")
public class HbDeviceMaintenanceDictionaryController {

    @Resource
    private IHbDeviceMaintenanceDictionaryService dictionaryService;

    @ApiOperation(" 设备维护条目字典记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbDeviceMaintenanceDictionaryEntity request){
        return dictionaryService.add(request);
    }

    @ApiOperation(" 设备维护条目字典记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbDeviceMaintenanceDictionaryEntity request){
        return dictionaryService.edit(request);
    }

    @ApiOperation(" 设备维护条目字典记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return dictionaryService.delete(ids);
    }

    @ApiOperation(" 设备维护条目字典记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbDeviceMaintenanceDictionaryPageReq request) {
        return dictionaryService.page(request);
    }


    @ApiOperation(" 设备维护条目字典记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return dictionaryService.listAll();
    }

}
